Create Resumable Upload Session
Initiate a multipart upload session and return an upload session ID.
POST
/api/{version}/services/file_staging/uploadHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
pathrequired | The absolute path, including file name, to place the file in the staging server. This path is specific to the authenticated user. Admin users can access the root directory. All other users can only access their own user directory. |
sizerequired | The size of the file in bytes. The maximum file size is 500GB. |
overwriteoptional | If set to true, Vault will overwrite any existing files with the same name at the specified destination. |
Request
Section link for Requestcurl -L -X POST -H "Authorization: {SESSION_ID}" \
-H 'Accept: application/json' \
-H 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'path=Cholecap-Commercial-2021.mp4' \
--data-urlencode 'size=32862312' \
--data-urlencode 'overwrite=true'\
https://myvault.veevavault.com/api/v25.1/services/file_staging/uploadResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"path": "/Cholecap-Commercial-2021.mp4",
"name": "Cholecap-Commercial-2021.mp4",
"id": "31a6aba21bf6e0005b718407a78739e6",
"expiration_date": "2020-12-14T23:30:43.000Z",
"created_date": "2020-12-11T23:30:43.000Z",
"last_uploaded_date": "2020-12-11T23:30:43.000Z",
"owner": 275657,
"uploaded_parts": 0,
"size": 32862312,
"uploaded": 0,
"overwrite": true
}
}Response Details
Section link for Response DetailsUpon SUCCESS, the response includes the following information: